Subject: the color bug

From: Karl Fogel <[email-masked]>
Date: Wed, 21 Aug 2002 18:47:33 -0500

Loredana Lo Conte <[email-masked]> writes:
> ale demo-data/demo.gb (or any other file)
> then click on settings (menu bar)
> then click on anything but uncolored
> What I get is wrong in all cases, but varies slightly.

Heh!  So I'm debugging now, and I *think* I've found the cause of the
problem, here in gene-display.el, where I ran across the following
comment during my trace:

   ;; Mmm, thanks for writing this, Jim.
   ;;   I'm embarrassed to admit that I did.  You'd think Emacs would
   ;;   provide this in a library somewhere, but no, we'll just
   ;;   hard-code the fact that the lower eight bits of a glyph code
   ;;   are the character, while the upper ...
   (defun gene-make-glyph (character face)
     "Return a glyph code which displays CHARACTER using FACE."
     (+ character (lsh (face-id face) 8)))

I'll bet Emacs 21 does glyph codes differently.  Going off to read
the Emacs manual (and ChangeLogs, perhaps)...

Just a hunch,
-Karl